Installation

Install Oreact with all the prerequisites, and initialize your application.

This guide helps you get up and running to start developing Oreact apps.

Prerequisites

Before you begin, you should make sure you have installed all these prerequisites on your development machine.

System Requirements

MacOS, Windows (including WSL), and Linux are supported.

Node.js

Install Node.js 8.10.0 or later.

Yarn - Package Manager

Oreact uses Yarn package manager to install and manage 3rd party dependencies. If you wish, You can also use npm

Oreact CLI

If you're new to Oreact, we recommend starting with Oreact CLI.